Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.util
Class SaveAsJPEGServiceProvider

    java.lang.Object
      |
      +--com.vistech.util.SaveAsJPEGServiceProvider

All Implemented Interfaces:
  java.beans.beancontext.BeanContextServiceProvider, SaveAsJPEGService

public class SaveAsJPEGServiceProvider
extends java.lang.Object
implements SaveAsJPEGService, java.beans.beancontext.BeanContextServiceProvider

Constructor Summary
`SaveAsJPEGServiceProvider()`

Method Summary
`java.awt.Component` | `createUI()`
`java.util.Iterator` | `getCurrentServiceSelectors(java.beans.beancontext.BeanContextServices bcs, java.lang.Class serviceClass)`
`java.lang.Object` | `getService(java.beans.beancontext.BeanContextServices bcs, java.lang.Object requestor, java.lang.Class serviceClass, java.lang.Object serviceSelector)`
`static void` | `launchDialog(java.awt.Component child)`
`void` | `releaseService(java.beans.beancontext.BeanContextServices bcs, java.lang.Object requestor, java.lang.Object service)`
`void` | `save()`
`void` | `save(int quality, java.lang.String filename)`
`void` | `saveAs()`
`void` | `saveAs(int quality)`
`java.awt.Component` | `saveAsJPEG(java.awt.image.BufferedImage bi)`
`java.awt.Component` | `saveAsJPEG(java.awt.Component comp)`
`java.awt.Component` | `saveAsJPEG(java.awt.Image img)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaveAsJPEGServiceProvider

    public SaveAsJPEGServiceProvider()

Method Detail

### getService

    public java.lang.Object getService(java.beans.beancontext.BeanContextServices bcs,
                                       java.lang.Object requestor,
                                       java.lang.Class serviceClass,
                                       java.lang.Object serviceSelector)

  Specified by:
    `getService` in interface `java.beans.beancontext.BeanContextServiceProvider`

### releaseService

    public void releaseService(java.beans.beancontext.BeanContextServices bcs,
                               java.lang.Object requestor,
                               java.lang.Object service)

  Specified by:
    `releaseService` in interface `java.beans.beancontext.BeanContextServiceProvider`

### getCurrentServiceSelectors

    public java.util.Iterator getCurrentServiceSelectors(java.beans.beancontext.BeanContextServices bcs,
                                                         java.lang.Class serviceClass)

  Specified by:
    `getCurrentServiceSelectors` in interface `java.beans.beancontext.BeanContextServiceProvider`

### save

    public void save()

### saveAs

    public void saveAs()

### saveAs

    public void saveAs(int quality)

### save

    public void save(int quality,
                     java.lang.String filename)

### saveAsJPEG

    public java.awt.Component saveAsJPEG(java.awt.image.BufferedImage bi)

  Specified by:
    `saveAsJPEG` in interface `SaveAsJPEGService`

### saveAsJPEG

    public java.awt.Component saveAsJPEG(java.awt.Image img)

  Specified by:
    `saveAsJPEG` in interface `SaveAsJPEGService`

### saveAsJPEG

    public java.awt.Component saveAsJPEG(java.awt.Component comp)

  Specified by:
    `saveAsJPEG` in interface `SaveAsJPEGService`

### createUI

    public java.awt.Component createUI()

### launchDialog

    public static void launchDialog(java.awt.Component child)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD